
##----------------------------------------------------------##
##                                                          ##
##  Universal Makefile for module template : V1.6.3         ##
##                                                          ##
##  Created : Wei Liu 07/04/11                              ##
##  Revision: [Last]Wei Liu 07/07/07                        ##
##                                                          ##
##----------------------------------------------------------##

##---------------------------------------------------------------------##
##--------------------------------------
##
##  Project correlation(Customer define)
##
##--------------------------------------

## MODULE= [Module Name]
## TYPE  = app/plat   => Module Type

## DBUG_FLAGS_ADD = [Module Define Gcc Flags for Debug  ]  
## DBUG_FLAGS_ADD = [Module Define Gcc Flags for Release]

## BUILD = lib/exef      => Output file format
## CFG   = debug/release => Build Configuration

## SRC_PATH = [Source  file path]
## INC_PATH = [Include file path]
## APP_PATH = [App  Module  path]
## PLT_PATH = [Plat Module  path]

## PLT_LIB  = [Needed plat   lib for Link] => just for test or wxc2main
## APP_LIB  = [Needed app    lib for Link] => just for test or wxc2main
## LIB_ADD  = [Needed Extend lib for Link] => just for test or wxc2main

## PLT_LIB e.g. = haepub fsm mng proto kernel aif mgc mgcp sip rtp \
##                8ecp bicc smpp xapp tcap mtp3 m2ua \
##                snmp iptrans debug sccp public
##
## APP_LIB e.g. = msc vlr ssf hlr ae pps mnp smsc vms aas 
## LIB_ADD e.g. = -liba3a8 -lm

## OBJ_ADD        = [Extend third party object files needed] 
## TEST_OBJ_PATH  = [module object files Path for test ] => just for test 
##---------------------------------------------------------------------##

MODULE  = radiustest
TYPE    = app

DBUG_FLAGS_ADD = -D_LKSCTP
RELS_FLAGS_ADD = -D_LKSCTP

##Default commonly as below

BUILD       = exef
CFG         = debug

APP_LIB     = mnp vlr hlr msc vlr smsc ssf ae pps aas opr iif

PLT_LIB     = radius megaco scf sccp haepub aif mgc_v2 mgcp rtp \
              8ecp isup bicc smpp xapp tcap sccp mtp3 m2ua \
              debug snmp iptrans public pal isdn

LIB_ADD     = -L../../../mss/ae/src/lib -lpubfunc \
              -la3a8  -ldl -lpopt -lncurses -L/usr/lib -lsrfvar -L/usr/local/lib -lcunit

SRC_PATH    = ./
INC_PATH    = ./
PLT_PATH    = ../../../plat
APP_PATH    = ../../../mss

OBJ_ADD     = 
TEST_OBJ_PATH  = ./obj

PREPROC_CMD    = cd ../;make rebuild; cd ./ut ;##cd ../../../plat;make rebuild CCFLAG_SWITCH=on DBUG_FLAGS_ADD+=-DEBUG_TEST;cd -;  cd ../;make rebuild; cd ./ut
POSTPROC_CMD   = 

##---------------------------------------------------------------------##
##--------------------------------------
##
##  Make configuration(Customer define)
##
##--------------------------------------

## CCFLAG_SWITCH = on/off      => gcc flag show on/off
## COVER_NEED    = yes/no      => PTF cover report needed
## COVER_REPORT_PATH = [path ] => PTF cover report path

CCFLAG_SWITCH         = off
COVER_NEED            = no
COVER_REPORT_PATH     = ./output

##---------------------------------------------------------------------##


##--------------------------------------
##
##  include makefile.rules (Do not change)
##
##--------------------------------------
MAKE_INCLUDE = ../../inc
include $(MAKE_INCLUDE)/Makefile.rules
